---
http_interactions:
- request:
    method: get
    uri: https://api.github.com/repos/rust-lang/rust
    body:
      encoding: US-ASCII
      string: ''
    headers:
      User-Agent:
      - Octokit Ruby Gem 4.18.0 (http://localhost:3000)
      Accept:
      - application/vnd.github.v3+json
      Content-Type:
      - application/json
      X-Honeycomb-Trace:
      - 1;dataset=,trace_id=04b57a3f-94e3-44c0-b587-ad43aa67ecf0,parent_id=9bcde130-048e-4f89-b708-f55e86e3ab00,context=e30=
      Expect:
      - ''
  response:
    status:
      code: 200
      message: OK
    headers:
      Server:
      - GitHub.com
      Date:
      - Wed, 06 May 2020 17:31:18 GMT
      Content-Type:
      - application/json; charset=utf-8
      Content-Length:
      - '5818'
      Status:
      - 200 OK
      X-Ratelimit-Limit:
      - '5000'
      X-Ratelimit-Remaining:
      - '4998'
      X-Ratelimit-Reset:
      - '1588789486'
      Cache-Control:
      - public, max-age=60, s-maxage=60
      Vary:
      - Accept
      - Accept-Encoding, Accept, X-Requested-With
      Etag:
      - '"ee19ad6d8cc4e8ad58f6fc613f6ff0b8"'
      Last-Modified:
      - Wed, 06 May 2020 16:43:07 GMT
      X-Github-Media-Type:
      - github.v3; format=json
      Access-Control-Expose-Headers:
      - ETag, Link, Location, Retry-After, X-GitHub-OTP, X-RateLimit-Limit, X-RateLimit-Remaining,
        X-RateLimit-Reset, X-OAuth-Scopes, X-Accepted-OAuth-Scopes, X-Poll-Interval,
        X-GitHub-Media-Type, Deprecation, Sunset
      Access-Control-Allow-Origin:
      - "*"
      Strict-Transport-Security:
      - max-age=31536000; includeSubdomains; preload
      X-Frame-Options:
      - deny
      X-Content-Type-Options:
      - nosniff
      X-Xss-Protection:
      - 1; mode=block
      Referrer-Policy:
      - origin-when-cross-origin, strict-origin-when-cross-origin
      Content-Security-Policy:
      - default-src 'none'
      X-Github-Request-Id:
      - FF9F:2C52:11EC63E:1F63260:5EB2F465
    body:
      encoding: ASCII-8BIT
      string: '{"id":724712,"node_id":"MDEwOlJlcG9zaXRvcnk3MjQ3MTI=","name":"rust","full_name":"rust-lang/rust","private":false,"owner":{"login":"rust-lang","id":5430905,"node_id":"MDEyOk9yZ2FuaXphdGlvbjU0MzA5MDU=","avatar_url":"https://avatars1.githubusercontent.com/u/5430905?v=4","gravatar_id":"","url":"https://api.github.com/users/rust-lang","html_url":"https://github.com/rust-lang","followers_url":"https://api.github.com/users/rust-lang/followers","following_url":"https://api.github.com/users/rust-lang/following{/other_user}","gists_url":"https://api.github.com/users/rust-lang/gists{/gist_id}","starred_url":"https://api.github.com/users/rust-lang/starred{/owner}{/repo}","subscriptions_url":"https://api.github.com/users/rust-lang/subscriptions","organizations_url":"https://api.github.com/users/rust-lang/orgs","repos_url":"https://api.github.com/users/rust-lang/repos","events_url":"https://api.github.com/users/rust-lang/events{/privacy}","received_events_url":"https://api.github.com/users/rust-lang/received_events","type":"Organization","site_admin":false},"html_url":"https://github.com/rust-lang/rust","description":"Empowering
        everyone to build reliable and efficient software.","fork":false,"url":"https://api.github.com/repos/rust-lang/rust","forks_url":"https://api.github.com/repos/rust-lang/rust/forks","keys_url":"https://api.github.com/repos/rust-lang/rust/keys{/key_id}","collaborators_url":"https://api.github.com/repos/rust-lang/rust/collaborators{/collaborator}","teams_url":"https://api.github.com/repos/rust-lang/rust/teams","hooks_url":"https://api.github.com/repos/rust-lang/rust/hooks","issue_events_url":"https://api.github.com/repos/rust-lang/rust/issues/events{/number}","events_url":"https://api.github.com/repos/rust-lang/rust/events","assignees_url":"https://api.github.com/repos/rust-lang/rust/assignees{/user}","branches_url":"https://api.github.com/repos/rust-lang/rust/branches{/branch}","tags_url":"https://api.github.com/repos/rust-lang/rust/tags","blobs_url":"https://api.github.com/repos/rust-lang/rust/git/blobs{/sha}","git_tags_url":"https://api.github.com/repos/rust-lang/rust/git/tags{/sha}","git_refs_url":"https://api.github.com/repos/rust-lang/rust/git/refs{/sha}","trees_url":"https://api.github.com/repos/rust-lang/rust/git/trees{/sha}","statuses_url":"https://api.github.com/repos/rust-lang/rust/statuses/{sha}","languages_url":"https://api.github.com/repos/rust-lang/rust/languages","stargazers_url":"https://api.github.com/repos/rust-lang/rust/stargazers","contributors_url":"https://api.github.com/repos/rust-lang/rust/contributors","subscribers_url":"https://api.github.com/repos/rust-lang/rust/subscribers","subscription_url":"https://api.github.com/repos/rust-lang/rust/subscription","commits_url":"https://api.github.com/repos/rust-lang/rust/commits{/sha}","git_commits_url":"https://api.github.com/repos/rust-lang/rust/git/commits{/sha}","comments_url":"https://api.github.com/repos/rust-lang/rust/comments{/number}","issue_comment_url":"https://api.github.com/repos/rust-lang/rust/issues/comments{/number}","contents_url":"https://api.github.com/repos/rust-lang/rust/contents/{+path}","compare_url":"https://api.github.com/repos/rust-lang/rust/compare/{base}...{head}","merges_url":"https://api.github.com/repos/rust-lang/rust/merges","archive_url":"https://api.github.com/repos/rust-lang/rust/{archive_format}{/ref}","downloads_url":"https://api.github.com/repos/rust-lang/rust/downloads","issues_url":"https://api.github.com/repos/rust-lang/rust/issues{/number}","pulls_url":"https://api.github.com/repos/rust-lang/rust/pulls{/number}","milestones_url":"https://api.github.com/repos/rust-lang/rust/milestones{/number}","notifications_url":"https://api.github.com/repos/rust-lang/rust/notifications{?since,all,participating}","labels_url":"https://api.github.com/repos/rust-lang/rust/labels{/name}","releases_url":"https://api.github.com/repos/rust-lang/rust/releases{/id}","deployments_url":"https://api.github.com/repos/rust-lang/rust/deployments","created_at":"2010-06-16T20:39:03Z","updated_at":"2020-05-06T16:43:07Z","pushed_at":"2020-05-06T17:22:41Z","git_url":"git://github.com/rust-lang/rust.git","ssh_url":"git@github.com:rust-lang/rust.git","clone_url":"https://github.com/rust-lang/rust.git","svn_url":"https://github.com/rust-lang/rust","homepage":"https://www.rust-lang.org","size":530608,"stargazers_count":44518,"watchers_count":44518,"language":"Rust","has_issues":true,"has_projects":true,"has_downloads":true,"has_wiki":false,"has_pages":false,"forks_count":6717,"mirror_url":null,"archived":false,"disabled":false,"open_issues_count":5623,"license":{"key":"other","name":"Other","spdx_id":"NOASSERTION","url":null,"node_id":"MDc6TGljZW5zZTA="},"forks":6717,"open_issues":5623,"watchers":44518,"default_branch":"master","temp_clone_token":null,"organization":{"login":"rust-lang","id":5430905,"node_id":"MDEyOk9yZ2FuaXphdGlvbjU0MzA5MDU=","avatar_url":"https://avatars1.githubusercontent.com/u/5430905?v=4","gravatar_id":"","url":"https://api.github.com/users/rust-lang","html_url":"https://github.com/rust-lang","followers_url":"https://api.github.com/users/rust-lang/followers","following_url":"https://api.github.com/users/rust-lang/following{/other_user}","gists_url":"https://api.github.com/users/rust-lang/gists{/gist_id}","starred_url":"https://api.github.com/users/rust-lang/starred{/owner}{/repo}","subscriptions_url":"https://api.github.com/users/rust-lang/subscriptions","organizations_url":"https://api.github.com/users/rust-lang/orgs","repos_url":"https://api.github.com/users/rust-lang/repos","events_url":"https://api.github.com/users/rust-lang/events{/privacy}","received_events_url":"https://api.github.com/users/rust-lang/received_events","type":"Organization","site_admin":false},"network_count":6717,"subscribers_count":1451}'
    http_version: null
  recorded_at: Wed, 06 May 2020 17:31:18 GMT
- request:
    method: get
    uri: https://api.github.com/repos/rust-lang/rust/readme
    body:
      encoding: US-ASCII
      string: ''
    headers:
      User-Agent:
      - Octokit Ruby Gem 4.18.0 (http://localhost:3000)
      Accept:
      - application/vnd.github.html
      Content-Type:
      - application/json
      X-Honeycomb-Trace:
      - 1;dataset=,trace_id=aa7c3b56-ca78-49cb-8d0c-7dcc00b80ed4,parent_id=f71f6b2e-212d-4228-9813-f710161129e6,context=e30=
      Expect:
      - ''
  response:
    status:
      code: 200
      message: OK
    headers:
      Server:
      - GitHub.com
      Date:
      - Wed, 06 May 2020 17:31:18 GMT
      Content-Type:
      - application/vnd.github.html; charset=utf-8
      Content-Length:
      - '22169'
      Status:
      - 200 OK
      X-Ratelimit-Limit:
      - '5000'
      X-Ratelimit-Remaining:
      - '4997'
      X-Ratelimit-Reset:
      - '1588789486'
      Cache-Control:
      - public, max-age=60, s-maxage=60
      Vary:
      - Accept
      - Accept-Encoding, Accept, X-Requested-With
      Etag:
      - '"f806c065d505e16056182429502011fe"'
      Last-Modified:
      - Wed, 06 May 2020 11:24:13 GMT
      X-Github-Media-Type:
      - github.v3; param=html
      Access-Control-Expose-Headers:
      - ETag, Link, Location, Retry-After, X-GitHub-OTP, X-RateLimit-Limit, X-RateLimit-Remaining,
        X-RateLimit-Reset, X-OAuth-Scopes, X-Accepted-OAuth-Scopes, X-Poll-Interval,
        X-GitHub-Media-Type, Deprecation, Sunset
      Access-Control-Allow-Origin:
      - "*"
      Strict-Transport-Security:
      - max-age=31536000; includeSubdomains; preload
      X-Frame-Options:
      - deny
      X-Content-Type-Options:
      - nosniff
      X-Xss-Protection:
      - 1; mode=block
      Referrer-Policy:
      - origin-when-cross-origin, strict-origin-when-cross-origin
      Content-Security-Policy:
      - default-src 'none'
      X-Github-Request-Id:
      - FFA0:194C:3FCDE8:732A7D:5EB2F466
    body:
      encoding: ASCII-8BIT
      string: !binary |-
        [encoded data, 29560 characters]
    http_version: null
  recorded_at: Wed, 06 May 2020 17:31:18 GMT
- request:
    method: get
    uri: https://api.github.com/repos/rust-lang/rust/readme
    body:
      encoding: US-ASCII
      string: ''
    headers:
      User-Agent:
      - Octokit Ruby Gem 4.18.0 (http://localhost:3000)
      Accept:
      - application/vnd.github.v3+json
      Content-Type:
      - application/json
      X-Honeycomb-Trace:
      - 1;dataset=,trace_id=27489bc4-59cf-4fbc-ae99-6763def3c22f,parent_id=8b2127db-d9c7-471f-9bc4-b9274802bf11,context=e30=
      Expect:
      - ''
  response:
    status:
      code: 200
      message: OK
    headers:
      Server:
      - GitHub.com
      Date:
      - Wed, 06 May 2020 17:31:19 GMT
      Content-Type:
      - application/json; charset=utf-8
      Content-Length:
      - '14661'
      Status:
      - 200 OK
      X-Ratelimit-Limit:
      - '5000'
      X-Ratelimit-Remaining:
      - '4996'
      X-Ratelimit-Reset:
      - '1588789486'
      Cache-Control:
      - public, max-age=60, s-maxage=60
      Vary:
      - Accept
      - Accept-Encoding, Accept, X-Requested-With
      Etag:
      - '"3128224d870f426818664d934dc92661"'
      Last-Modified:
      - Wed, 06 May 2020 11:24:13 GMT
      X-Github-Media-Type:
      - github.v3; format=json
      Access-Control-Expose-Headers:
      - ETag, Link, Location, Retry-After, X-GitHub-OTP, X-RateLimit-Limit, X-RateLimit-Remaining,
        X-RateLimit-Reset, X-OAuth-Scopes, X-Accepted-OAuth-Scopes, X-Poll-Interval,
        X-GitHub-Media-Type, Deprecation, Sunset
      Access-Control-Allow-Origin:
      - "*"
      Strict-Transport-Security:
      - max-age=31536000; includeSubdomains; preload
      X-Frame-Options:
      - deny
      X-Content-Type-Options:
      - nosniff
      X-Xss-Protection:
      - 1; mode=block
      Referrer-Policy:
      - origin-when-cross-origin, strict-origin-when-cross-origin
      Content-Security-Policy:
      - default-src 'none'
      X-Github-Request-Id:
      - FFA1:7524:1273C7D:20B8CC3:5EB2F467
    body:
      encoding: ASCII-8BIT
      string: '{"name":"README.md","path":"README.md","sha":"00bb501941dd76c5845cd04476c405801855d7fe","size":10093,"url":"https://api.github.com/repos/rust-lang/rust/contents/README.md?ref=master","html_url":"https://github.com/rust-lang/rust/blob/master/README.md","git_url":"https://api.github.com/repos/rust-lang/rust/git/blobs/00bb501941dd76c5845cd04476c405801855d7fe","download_url":"https://raw.githubusercontent.com/rust-lang/rust/master/README.md","type":"file","content":"IyBUaGUgUnVzdCBQcm9ncmFtbWluZyBMYW5ndWFnZQoKVGhpcyBpcyB0aGUg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\naWVzL2xpY2Vuc2VzCg==\n","encoding":"base64","_links":{"self":"https://api.github.com/repos/rust-lang/rust/contents/README.md?ref=master","git":"https://api.github.com/repos/rust-lang/rust/git/blobs/00bb501941dd76c5845cd04476c405801855d7fe","html":"https://github.com/rust-lang/rust/blob/master/README.md"}}'
    http_version: null
  recorded_at: Wed, 06 May 2020 17:31:19 GMT
recorded_with: VCR 5.1.0
